{
  "groups": [
    {
      "name": "oss",
      "type": "net.yyc.common.oss.OssProperties",
      "sourceType": "net.yyc.common.oss.OssProperties"
    }
  ],
  "properties": [
    {
      "name": "oss.access-key",
      "type": "java.lang.String",
      "description": "Access key就像用户ID，可以唯一标识你的账户",
      "sourceType": "net.yyc.common.oss.OssProperties"
    },
    {
      "name": "oss.app-id",
      "type": "java.lang.String",
      "description": "应用ID",
      "sourceType": "net.yyc.common.oss.OssProperties"
    },
    {
      "name": "oss.bucket-name",
      "type": "java.lang.String",
      "description": "默认的存储桶名称",
      "sourceType": "net.yyc.common.oss.OssProperties",
      "defaultValue": "payerp"
    },
    {
      "name": "oss.custom-domain",
      "type": "java.lang.String",
      "description": "自定义域名",
      "sourceType": "net.yyc.common.oss.OssProperties"
    },
    {
      "name": "oss.endpoint",
      "type": "java.lang.String",
      "description": "对象存储服务的URL",
      "sourceType": "net.yyc.common.oss.OssProperties"
    },
    {
      "name": "oss.path-style-access",
      "type": "java.lang.Boolean",
      "description": "true path-style nginx 反向代理和S3默认支持 pathStyle {http:\/\/endpoint\/bucketname} false supports virtual-hosted-style 阿里云等需要配置为 virtual-hosted-style 模式{http:\/\/bucketname.endpoint}",
      "sourceType": "net.yyc.common.oss.OssProperties",
      "defaultValue": true
    },
    {
      "name": "oss.region",
      "type": "java.lang.String",
      "description": "区域",
      "sourceType": "net.yyc.common.oss.OssProperties"
    },
    {
      "name": "oss.secret-key",
      "type": "java.lang.String",
      "description": "Secret key是你账户的密码",
      "sourceType": "net.yyc.common.oss.OssProperties"
    }
  ],
  "hints": []
}